package sikd.sikd5.sikd5bean.ws.transaksi;
/**
*@oleh    : agus
*@tanggal : May 13, 2019
*/

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement
@XmlType(name = "headerjurnalWS", propOrder = {
		"tahunanggaran",
		"kodesatker",
		"kodepemda",
		"namapemda",
		"jeniscoa",
		"nomorbukti",
		"tanggalbukti",
		"sha256",
		"dihapus",
		"jurnals"

})
public class Headerjurnal_WS implements Serializable {
	private int tahunanggaran;
	private String kodesatker;
	private String kodepemda;
	private String namapemda;
	private int jeniscoa;
	private String nomorbukti;
	private Date tanggalbukti;
	private String sha256;
	private boolean dihapus;
	private List<Jurnal_WS> jurnals;
	

	public Headerjurnal_WS() {

	}

	public Headerjurnal_WS(int tahunanggaran, String kodesatker, String kodepemda, String namapemda, int jeniscoa, String nomorbukti,
			Date tanggalbukti, String sha256,boolean dihapus) {
		super();
		this.tahunanggaran = tahunanggaran;
		this.kodesatker = kodesatker;
		this.kodepemda = kodepemda;
		this.namapemda = namapemda;
		this.jeniscoa = jeniscoa;
		this.nomorbukti = nomorbukti;
		this.tanggalbukti = tanggalbukti;
		this.sha256 = sha256;
		this.dihapus = dihapus;
	}

	public int getTahunanggaran() {
		return tahunanggaran;
	}

	public void setTahunanggaran(int tahunanggaran) {
		this.tahunanggaran = tahunanggaran;
	}

	public String getKodesatker() {
		return kodesatker;
	}

	public void setKodesatker(String kodesatker) {
		this.kodesatker = kodesatker;
	}

	public String getKodepemda() {
		return kodepemda;
	}

	public void setKodepemda(String kodepemda) {
		this.kodepemda = kodepemda;
	}

	public String getNamapemda() {
		return namapemda;
	}

	public void setNamapemda(String namapemda) {
		this.namapemda = namapemda;
	}

	public int getJeniscoa() {
		return jeniscoa;
	}

	public void setJeniscoa(int jeniscoa) {
		this.jeniscoa = jeniscoa;
	}

	public String getNomorbukti() {
		return nomorbukti;
	}

	public void setNomorbukti(String nomorbukti) {
		this.nomorbukti = nomorbukti;
	}

	public Date getTanggalbukti() {
		return tanggalbukti;
	}

	public void setTanggalbukti(Date tanggalbukti) {
		this.tanggalbukti = tanggalbukti;
	}

	public String getSha256() {
		return sha256;
	}

	public void setSha256(String sha256) {
		this.sha256 = sha256;
	}

	public boolean isDihapus() {
		return dihapus;
	}

	public void setDihapus(boolean dihapus) {
		this.dihapus = dihapus;
	}

	public List<Jurnal_WS> getJurnals() {
		return jurnals;
	}

	public void setJurnals(List<Jurnal_WS> jurnals) {
		this.jurnals = jurnals;
	}

}
